%global prerel RC1

Name:           gphpedit
Version:        0.9.98
Release:        0.7.%{prerel}%{?dist}
Summary:        A PHP source editor for GNOME 2

Group:          Applications/Text
License:        GPLv2+
URL:            http://www.gphpedit.org/
Source0:        http://www.gphpedit.org/system/files/gphpedit-%{version}%{prerel}.tar.gz
Patch0:         gphpedit-0.9.95-manual-en.patch
Patch1:         gphpedit-0.9.98-gmodule.patch
# BuildRequires: gtkhtml2-devel
BuildRequires:  webkitgtk-devel libgnomeui-devel perl-XML-Parser gnome-vfs2-devel
BuildRequires:  desktop-file-utils
BuildRequires:	libtool, autoconf, automake, gettext, intltool

%description
gPHPEdit is a GNOME2 editor dedicated to editing PHP files and other 
supporting files such as HTML/CSS.

%prep
# Hint: Upstream is doing it wrong here. This naming is absurd.
%setup -q -n anoopjohn-gphpedit-fe8a12c
# %patch0 -p1
%patch1 -p1 -b .gmodule
autoreconf -v -i -f

%build
# Remove precompiled binaries and rebuild (statically) bundled gtkscintilla2
# (bundling is intentional and with good cause: it is a modified version
# and the upstream project is apparently dead)
pushd src/gtkscintilla2
make clean
make libgtkscintilla2.a %{?_smp_mflags}
popd

# Configure and make main binary
%configure
make %{?_smp_mflags}

# The .desktop file included isn't Free Desktop compliant
%{__cat} <<EOF >gphpedit.desktop
[Desktop Entry]
Encoding=UTF-8
Name=gPHPEdit
GenericName=PHP/HTML/CSS editor
Comment=Edit PHP source files
Exec=gphpedit
Icon=gphpedit
Terminal=false
Type=Application
Categories=Development;IDE;GNOME
Version=1.0
EOF

%install
make install DESTDIR=%{buildroot}

# Remove the desktop file installed by the package itself
rm %{buildroot}%{_datadir}/applications/gphpedit.desktop

# Install our own desktop file
desktop-file-install \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        gphpedit.desktop

%find_lang %{name}

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING README
%dir %{_datadir}/gphpedit
%{_bindir}/gphpedit
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/*gphpedit.desktop
%{_datadir}/gphpedit/php-gphpedit.api

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.98-0.7.RC1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.98-0.6.RC1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.98-0.5.RC1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 11 2013 Jon Ciesla <limburgher@gmail.com> - 0.9.98-0.4.RC1
- Drop desktop vendor tag.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.98-0.3.RC1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.98-0.2.RC1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Mar  8 2012 Tom Callaway <spot@fedoraproject.org> - 0.9.98-0.1.RC1
- update to 0.9.98-0.1.RC1

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.95-0.4.20090209snap
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.9.95-0.3.20090209snap
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.95-0.2.20090209snap
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Nov 25 2009 Tim Jackson <rpm@timj.co.uk> - 0.9.95-0.1.20090209snap
- Update to 20090209 snapshot to fix several major bugs

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.91-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.91-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.91-4
- Autorebuild for GCC 4.3

* Sat Sep 09 2006 Tim Jackson <rpm@timj.co.uk> 0.9.91-3
- Only rebuild bundled gtkscintilla2 as static library (avoids PIC error on
  x86_64, plus saves time)

* Sat Sep 09 2006 Tim Jackson <rpm@timj.co.uk> 0.9.91-2
- Add missing perl-XML-Parser BR

* Sat Sep 09 2006 Tim Jackson <rpm@timj.co.uk> 0.9.91-1
- Update to 0.9.91
- Remove pixmap path hack; now fixed upstream
- Patch to support context-sensitive display of PHP manual function help (F1)
  if the php-manual-en package is installed

* Mon Apr 17 2006 Tim Jackson <rpm@timj.co.uk> 0.9.80-4
- Ensure bundled gtkscintilla2 is rebuilt instead of using precompiled
  binaries

* Sat Apr 15 2006 Tim Jackson <rpm@timj.co.uk> 0.9.80-3
- Remove gtk2-devel (gtkhtml2-devel and libgnomeui-devel will pull it in)
- Remove empty NEWS file
- Remove generic INSTALL file

* Thu Apr 13 2006 Tim Jackson <rpm@timj.co.uk> 0.9.80-2
- Own datadir/gphpedit
- Macroize replacement pixmap path in main.h
- Add "GNOME" and "Application" to desktop file

* Sat Apr 08 2006 Tim Jackson <rpm@timj.co.uk> 0.9.80-1
- Initial RPM build for FE
